# Interface methods for submodule: Object
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightObjectProxy as _LightObjectProxy


# Interface methods for class: Object
class ObjectProxy(_LightObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def DebugOn(self) -> None:
		""""""
		...

	def DebugOff(self) -> None:
		""""""
		...

	def GetDebug(self) -> bool:
		""""""
		...

	def SetDebug(self, debugFlag: bool) -> None:
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

	def GetTimeStamp(self):
		""""""
		...

	def Modified(self) -> None:
		""""""
		...

	@staticmethod
	def SetGlobalWarningDisplay(val: bool) -> None:
		""""""
		...

	@staticmethod
	def GetGlobalWarningDisplay() -> bool:
		""""""
		...

	@staticmethod
	def GlobalWarningDisplayOn() -> None:
		""""""
		...

	@staticmethod
	def GlobalWarningDisplayOff() -> None:
		""""""
		...

	def AddObserver(self, event, arg1) -> int:
		""""""
		...

	def GetCommand(self, tag: int):
		""""""
		...

	def InvokeEvent(self, arg0) -> None:
		""""""
		...

	def RemoveObserver(self, tag: int) -> None:
		""""""
		...

	def RemoveAllObservers(self) -> None:
		""""""
		...

	def HasObserver(self, event) -> bool:
		""""""
		...

	def GetMetaDataDictionary(self):
		""""""
		...

	def SetMetaDataDictionary(self, rhs) -> None:
		""""""
		...

	def SetObjectName(self, _arg: str) -> None:
		""""""
		...

	def GetObjectName(self) -> str:
		""""""
		...

